=== debian/changelog ===
rg-el (2.3.0-5) unstable; urgency=medium

  * Remove dependencies on packages kicked out of trixie.

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 05 Mar 2025 11:30:21 -0500

rg-el (2.3.0-4) unstable; urgency=medium

  * Import upstream patch to fix tests in 29.1, hoping to close #1068527,
    still failing.
  * Try to exclude the two remaining failing tests, also failing.

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 21 Nov 2024 09:24:40 -0500

rg-el (2.3.0-3) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 26 Jul 2024 11:08:31 +0900

rg-el (2.3.0-2) unstable; urgency=medium

  * source-only upload to unstable now that we passed NEW, no change
  * ignore test suite failures while we figure out what is broken there

 -- Antoine Beaupré <anarcat@debian.org>  Sat, 06 Apr 2024 23:03:40 -0400

rg-el (2.3.0-1) experimental; urgency=medium

  * Initial release (Closes: #993370)

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 30 May 2023 22:02:51 -0400
