=== debian/control ===
Source: rg-el
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Antoine Beaupré <anarcat@debian.org>
Build-Depends: debhelper-compat (= 13)
             , dh-elpa
             , elpa-find-file-in-project <!nocheck>
             , elpa-projectile <!nocheck>
             , elpa-s <!nocheck>
             , elpa-transient <!nocheck>
             , elpa-wgrep <!nocheck>
             , ripgrep <!nocheck>
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/emacsen-team/rg-el
Vcs-Git: https://salsa.debian.org/emacsen-team/rg-el.git
Homepage: https://github.com/dajva/rg.el
Testsuite: autopkgtest-pkg-elpa
Rules-Requires-Root: no

Package: elpa-rg
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
       , ripgrep
Recommends: emacs
Enhances: emacs
Description: search tool for Emacs based on ripgrep 
 rg.el allows you to interactively create searches, doing automatic
 searches based on the editing context, refining and modifying
 search results and much more.  It is also highly configurable to be
 able to fit different users' needs.
 .
 If you are used to built-in Emacs rgrep command, transitioning to
 rg should be simple.  rg provides a lot of extra features
 but the basics are similar.
 .
 The big benefit of using ripgrep instead of grep as a backend is
 speed.  Especially when searching large source code repositories
 where ripgrep really shines.
