## rg-el 2.3.0+git20250625.7611852

=== debian/changelog ===
rg-el (2.3.0+git20250625.7611852-1) unstable; urgency=medium

  * Sync to latest upstream snapshot.
    - To be compatible with transient 0.9.2+.
  * Drop patches; incorporated upstream
  * Build-Depends on elpa-transient >= 0.9.2
  * Update skipped test list with reason
    - 2 of the tests still fail when running under sbuild.
  * Add d/u/metadata
  * Update Standards-Version to 4.7.2; no change needed
  * Add myself to Uploaders
  * Disable tests failing in autopkgtest due to git detection

 -- Xiyue Deng <manphiz@gmail.com>  Thu, 14 Aug 2025 08:05:32 -0700
