=== debian/control ===
--- 
+++ 
@@ -2,16 +2,17 @@
 Section: editors
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
-Uploaders: Antoine Beaupré <anarcat@debian.org>
+Uploaders: Antoine Beaupré <anarcat@debian.org>,
+ Xiyue Deng <manphiz@gmail.com>,
 Build-Depends: debhelper-compat (= 13)
              , dh-elpa
              , elpa-find-file-in-project <!nocheck>
              , elpa-projectile <!nocheck>
              , elpa-s <!nocheck>
-             , elpa-transient <!nocheck>
+             , elpa-transient (>= 0.9.2) <!nocheck>
              , elpa-wgrep <!nocheck>
              , ripgrep <!nocheck>
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/emacsen-team/rg-el
 Vcs-Git: https://salsa.debian.org/emacsen-team/rg-el.git
 Homepage: https://github.com/dajva/rg.el
