## rg-el 2.4.0

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,17 @@
+EMACS_VERSION=29-4
+DOCKER_IMAGE=rg.el-test-emacs-$(EMACS_VERSION)
+
+ifdef USE_DOCKER
+DOCKER_WRAPPER=docker run --workdir /app --mount type=bind,source="$(PWD)",target=/app $(DOCKER_IMAGE)
+%: run_make
+	@:
+
+.PHONY: run_make
+run_make:
+	$(DOCKER_WRAPPER) $(MAKE) EMACS_VERSION=$(EMACS_VERSION) $(MAKECMDGOALS)
+
+else  # actual Makefile
+
 PKG_NAME = $(shell cask info | head -1 | cut -f2 -d" ")
 PKG_VERSION = $(shell cask version)
 PKG_FULL_NAME = $(PKG_NAME)-$(PKG_VERSION)
@@ -6,6 +20,12 @@
 STYLE_CHECK= -L test -L . -l test/style-check.el
 DISABLE_DEFALIAS_CHECK= --eval "(defun package-lint--check-defalias (prefix def))"
 
+# This setup testing similar to ert-runner for legacy reasons.
+# All files under test/ that matches the source files.
+TEST_FILES = $(filter $(patsubst %,test/%-test.el, $(SOURCES)), $(wildcard test/*.el))
+# Load test-helper.el first, then all test files.
+LOAD_TEST_FILES = -L test -l test-helper $(patsubst %,-l %,$(TEST_FILES:test/%.el=%))
+
 SPHINX-BUILD = sphinx-build
 DOC_DIR = docs
 ORG_DOCS= $(wildcard $(DOC_DIR)/*.org)
@@ -13,6 +33,9 @@
 RST_DOCS = $(addprefix $(RST_OUT_DIR)/,$(patsubst %.org,%.rst,$(notdir $(ORG_DOCS))))
 
 all: deps test
+
+docker-build:
+	docker build --build-arg EMACS_VERSION=$(EMACS_VERSION) -t $(DOCKER_IMAGE) .
 
 test: ert-test style-check package-lint build-test package-test
 
@@ -58,22 +81,44 @@
 	PKG_FULL_NAME=$(PKG_FULL_NAME) emacs -batch -Q -l test/package-bootstrap.el \
 		--eval "(progn (package-install-file (expand-file-name \"dist/$(PKG_FULL_NAME).tar\")) (rg \"rg\" \"elisp\" \"/tmp/$(PKG_FULL_NAME)-elpa\"))"
 
+ifeq ($(findstring 26,$(EMACS_VERSION)), 26)
+style-check:
+package-lint:
+else
 style-check:
 	cask emacs -batch -Q $(STYLE_CHECK) -f run-emacs-lisp-flycheck-and-exit $(SOURCES)
-
 package-lint:
 	cask emacs -batch -Q $(STYLE_CHECK) $(DISABLE_DEFALIAS_CHECK) -f run-package-lint-and-exit rg.el
+endif
+
 
 unit-test:
-	cask exec ert-runner --pattern rg-unit
+	cask emacs --batch -l ert $(LOAD_TEST_FILES) --eval="(ert-run-tests-batch-and-exit \"rg-unit\")"
 
 integration-test:
-	cask exec ert-runner --pattern rg-integration
+	cask emacs --batch -l ert $(LOAD_TEST_FILES) --eval="(ert-run-tests-batch-and-exit \"rg-integration\")"
 
 ert-test:
-	cask exec ert-runner --quiet
+	cask emacs --batch -l ert $(LOAD_TEST_FILES) -f ert-run-tests-batch-and-exit
 
-deps:
+ifeq ($(findstring 26,$(EMACS_VERSION)), 26)
+deps_prepare:
+	cp Cask /tmp/Cask
+	sed -i '/flycheck/d' Cask
+
+deps_cleanup:
+	cp /tmp/Cask Cask
+
+else
+deps_prepare:
+deps_cleanup:
+endif
+
+deps_execute:
 	cask install
 
-.PHONY: all test build-test clean clean-docs package-test style-check package-lint unit-test integration-test ert-test deps docs
+deps: deps_prepare deps_execute deps_cleanup
+
+.PHONY: all test build-test clean clean-docs package-test style-check package-lint unit-test integration-test ert-test deps deps_execute deps_prepare deps_cleanup docs
+
+endif
