=== debian/changelog ===
rg-el (2.4.0-2) unstable; urgency=medium

  * new upload to merge team upload from Xiyue that i missed

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 06 Oct 2025 10:59:24 -0400

rg-el (2.4.0-1) unstable; urgency=medium

  * new upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 06 Oct 2025 10:40:50 -0400
