=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	@echo Using dh-elpa for build/install instead of upstream Makefile.

override_dh_auto_clean:
	@echo Ignoring the "clean" target in upstream Makefile.

override_dh_elpa_test:
  # TODO: wrap this in an if then, and add an else case that just runs dh_elpa_test
	mkdir -p .git
	dh_elpa_test
	rmdir --ignore-fail-on-non-empty .git
