=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/rg.el.git-$1.tar.gz/" \
    https://github.com/dajva/rg.el/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
